Bug 1632506 - MDS may allow recursive stat (rstat) rctime to go backwards
Summary: MDS may allow recursive stat (rstat) rctime to go backwards
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.2
Hardware: All
OS: All
low
low
Target Milestone: z1
: 3.2
Assignee: Yan, Zheng
QA Contact: ceph-qe-bugs
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-09-24 23:13 UTC by Patrick Donnelly
Modified: 2019-03-07 15:51 UTC (History)
8 users (show)

Fixed In Version: RHEL: ceph-12.2.8-64.el7cp Ubuntu: ceph_12.2.8-49redhat1
Doc Type: Bug Fix
Doc Text:
.The Ceph Metadata Server no longer allows recursive stat rctime to go backwards Previously, the Ceph Metadata Server used the client's time to update rctime. But because client time may not be synchronized with the MDS, the inode rctime could go backwards. The underlying source code has been modified, and the Ceph Metadata Server no longer allows recursive stat rctime to go backwards.
Clone Of:
Environment:
Last Closed: 2019-03-07 15:50:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0475 None None None 2019-03-07 15:51:06 UTC
Ceph Project Bug Tracker 36135 None None None 2018-09-24 23:13:36 UTC

Description Patrick Donnelly 2018-09-24 23:13:37 UTC
Description of problem:

This can happen because the client times are not reliable.

Comment 4 John Brier 2018-12-14 23:33:36 UTC
This has been added to Release Notes tracker BZ 1629656 for inclusion in the RHCS 3.2 Release Notes as a Known Issue.

Please fill out the Doc Text field in this BZ using the "Cause: Consequence: Workaround (if any): Result:" format.

Comment 13 errata-xmlrpc 2019-03-07 15:50:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0475


Note You need to log in before you can comment on or make changes to this bug.